This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 187797 - Review Request: perl-IO-Interface - Perl extension for accessing network card configuration information
Review Request: perl-IO-Interface - Perl extension for accessing network card...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-03 13:08 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-03 13:08:00 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-IO-Interface.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-IO-Interface-0.98-1.src.rpm

Description:
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.
Comment 1 Jason Tibbitts 2006-04-07 18:32:30 EDT
Package builds fine in mock and rpmlint is silent.

Issues: BuildRequires: perl is not allowed.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz
   91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz-srpm
* package builds in mock.
X BuildRequires: perl not permitted.
* a shared library is present, but it is not in the library search path and
there is no need to run ldconfig.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_archlib}/IO, which will probably also be owned by
any arch-specific module under the IO:: namespace.  However, none of the
dependencies create this directory so there is no alternative but for this
package to own it.
Comment 2 Jason Tibbitts 2006-04-21 14:03:12 EDT
The steering committee has changed the rule and allowed BR: perl, so I drop my
objection.

APPROVED
Comment 3 Jose Pedro Oliveira 2006-04-21 18:29:28 EDT
Thanks for the review.

Built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.